DROP TABLE fuzzy;
DROP TABLE regeln;

-- Tabelle mit den Testdaten und Sollwerten
CREATE TABLE fuzzy (
	wertname VARCHAR(50) NOT NULL,
	zeitstempel TIMESTAMP NOT NULL,
	messwert REAL,
	soll VARCHAR(250) NOT NULL
);


-- Testdaten fr Archiv importieren
CREATE TEXT TABLE csvimport_fuzzy(
	wertname VARCHAR(50) NOT NULL,
	zeitstempel TIMESTAMP NOT NULL,
	messwert REAL,
	soll VARCHAR(250) NOT NULL
);
SET TABLE csvimport_fuzzy SOURCE "prueffall7.csv;ignore_first=true;fs=\semi;encoding=ISO-8859-1";
INSERT INTO fuzzy (wertname, zeitstempel, messwert, soll)
	SELECT wertname, zeitstempel, messwert, soll FROM csvimport_fuzzy;
SET TABLE csvimport_fuzzy SOURCE OFF;
DROP TABLE csvimport_fuzzy;

-- Tabelle mit den Testdaten und Sollwerten
CREATE TABLE regeln (
	testname VARCHAR(50) NOT NULL,
	wertname VARCHAR(50) NOT NULL,
	zeitstempel TIMESTAMP NOT NULL,
	messwert REAL,
	soll VARCHAR(250)
);

-- Testdaten fr Archiv importieren
CREATE TEXT TABLE csvimport_regeln(
	testname VARCHAR(50) NOT NULL,
	wertname VARCHAR(50) NOT NULL,
	zeitstempel TIMESTAMP NOT NULL,
	messwert REAL,
	soll VARCHAR(250)
);
SET TABLE csvimport_regeln SOURCE "prueffall7_regeln.csv;ignore_first=true;fs=\semi;encoding=ISO-8859-1";
INSERT INTO regeln (testname, wertname, zeitstempel, messwert, soll)
	SELECT testname, wertname, zeitstempel, messwert, soll FROM csvimport_regeln;
SET TABLE csvimport_regeln SOURCE OFF;
DROP TABLE csvimport_regeln;
